Name:		kfiresaver3d
Summary: 	The kfiresaver3d screensaver
Version: 	0.6
Release:        %mkrel 6
Source0: 	kfiresaver3d-0.6.tar.bz2
Source2:	kfiresaver-README.bz2
Patch1:		kfiresaver3d-0.6-leakfix.patch.bz2
Patch2:		kfiresaver-Makefile.patch.bz2
License:  	GPL
URL:		http://www.kde-look.org/content/show.php?content=3129
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  kdelibs-devel
BuildRequires:  MesaGLU-devel
Requires:  	kdebase


%description
Open GL Screensaver for KDE3, showing an exceptional display of fireworks.
There are a lot of options to fully configure the screensaver including a
'shading' effect, sound, gFX, the possibility to use presets for options 
and many other things...

You will probably need video drivers that support hardware 3D acceleration
to make use of this package.

%prep

%setup  -q -nkfiresaver3d-%{version}

%patch1 -p1
%patch2 -p1

%build
export QTDIR=%_prefix/lib/qt3
export QTLIB=$QTDIR/%_lib
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
#running aclocal et al breaks the building :(
#CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --disable-rpath \
                    --disable-debug \
                    --libdir=%{_libdir}
%make
bzcat %{SOURCE2} > README

%install
rm -rf %buildroot
%makeinstall_std

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc README
%_bindir/kfiresaver3d
%dir %_datadir/applnk/System/
%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/*.desktop

%dir %_datadir/apps/kfiresaver/
%_datadir/apps/kfiresaver/fw_explode.wav
%_datadir/apps/kfiresaver/kde.png
%_datadir/apps/kfiresaver/particle.bmp
%_datadir/apps/kfiresaver/tux.png




%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-6mdv2008.1
+ Revision: 142748
- kdedesktop2mdkmenu.pl is no more
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import kfiresaver3d


* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-6mdk
- Remove redundant BuildRequires

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 0.6-5mdk
- fix qtdir for x86_64

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-4mdk
- Fix Build
- use mkrel

* Tue Feb 15 2005 Danny Tholen <obiwan@mailmij.org> 0.6-3mdk
- long overdue rebuild
- patch makefile to use libGL (#2)

* Sun Jan 04 2004 Danny Tholen <obiwan@mailmij.org> 0.6-2mdk
- more spec fixes to make rpmlint happy
- Add a README

* Thu Jan 01 2004 Danny Tholen <obiwan@mailmij.org> 0.6-1mdk
- Happy new year!
- Fix for big memleak by author
- original spec adapted from Texstar
